Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeBoundingVolume Class Reference

Base class for general bounding volume implementations. More...

`#include <deBoundingVolumes.hpp>`

Inheritance diagram for IdeBoundingVolume:

[legend]
Collaboration diagram for IdeBoundingVolume:

[legend]
List of all members.

## Public Types
enum | BVType_t { BVType_Unknown, BVType_Sphere, BVType_AABB, BVType_OBB, BVType_Cylinder, BVType_Cone, BVType_Capsule, BVType_Hull, BVType_Count, BVType_32Bit }
## Public Member Functions
virtual BVType_t | GetBVType ()=0
virtual void * | GetBVInterface (BVType_t iface)=0
virtual deBoolean | TestIntersection (IdeBoundingVolume *other)=0
virtual deBoolean | TestLineIntersect (const deVec3d &begin, const deVec3d &end)=0
virtual deBoolean | TestSphereIntersect (const deVec3d &center, deDouble radius)=0
virtual deBoolean | TestAABBIntersect (const deVec3d &pos, const deAABB &box)=0
virtual void | GetPosition (deVec3d &pos)=0
virtual void | SetPosition (const deVec3d &pos)=0
## Protected Member Functions
virtual | ~IdeBoundingVolume ()

## Detailed Description

Base class for general bounding volume implementations.

## Member Enumeration Documentation

enum IdeBoundingVolume::BVType_t

  | Enumeration values:
  BVType_Unknown |
  BVType_Sphere |
  BVType_AABB |
  BVType_OBB |
  BVType_Cylinder |
  BVType_Cone |
  BVType_Capsule |
  BVType_Hull |
  BVType_Count |
  BVType_32Bit |

## Constructor & Destructor Documentation

virtual IdeBoundingVolume::~IdeBoundingVolume | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual void* IdeBoundingVolume::GetBVInterface | ( | BVType_t | iface | ) | `[pure virtual]`

| Implemented in deBoundingVolume, deBV_Sphere, and deBV_AABB.

virtual BVType_t IdeBoundingVolume::GetBVType | ( |  | ) | `[pure virtual]`

| Implemented in deBoundingVolume.

virtual void IdeBoundingVolume::GetPosition | ( | deVec3d & | pos | ) | `[pure virtual]`

| Implemented in deBoundingVolume.

virtual void IdeBoundingVolume::SetPosition | ( | const deVec3d & | pos | ) | `[pure virtual]`

| Implemented in deBoundingVolume.

virtual deBoolean IdeBoundingVolume::TestAABBIntersect | ( | const deVec3d & | pos,
|  | const deAABB & | box
| ) | `[pure virtual]`

| Implemented in deBV_Sphere, and deBV_AABB.

virtual deBoolean IdeBoundingVolume::TestIntersection | ( | IdeBoundingVolume * | other | ) | `[pure virtual]`

| Implemented in deBoundingVolume.

virtual deBoolean IdeBoundingVolume::TestLineIntersect | ( | const deVec3d & | begin,
|  | const deVec3d & | end
| ) | `[pure virtual]`

| Implemented in deBV_Sphere, and deBV_AABB.

virtual deBoolean IdeBoundingVolume::TestSphereIntersect | ( | const deVec3d & | center,
|  | deDouble | radius
| ) | `[pure virtual]`

| Implemented in deBV_Sphere, and deBV_AABB.

The documentation for this class was generated from the following file:

- deBoundingVolumes.hpp